Rename Log to exponents
Status: Closed Start date: 03 Sep 2015

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: enhancing/improving Estimated time: 0.00 hour

Target version: CoCoA-5.1.3/4 Jan 2016 Spent time: 0.70 hour

Description

In lnoe with using the same fn names in CoCoA-5 and CoCoALib we have decided to change log (of a power product) into

exponents.

The old names log and Log are obsolescent; they will continue to work, but each call will print out a warning about being obsolescent.

Related issues:

Related to CoCoA-5 - Feature #737: Elementary transcendental functions (sin, ... In Progress 21 Jun 2015

Related to CoCoA-5 - Support #768: Rename LogToTerm to MakeTerm Closed 03 Sep 2015

History

#1 - 03 Sep 2015 14:24 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

The new name exponents is rather long, but is easier to understand.

The impl in BuiltinFunctions.C cannot be 1 line because there must also be a call to LPP; this is perhaps due to a slightly different definition in

CoCoA-5 from that of CoCoALib - in CoCoA-5 it applies to the LPP of a poly whereas in CoCoALib it applies to a PP.

Not using the name log makes it potentially easier to add some approx transcendental functions (see #737).

#2 - 03 Sep 2015 14:29 - John Abbott

- Status changed from In Progress to Resolved

- Assignee set to John Abbott

- % Done changed from 10 to 70

Changed BuiltinFunctions.C; updated packages and documentation; updated tests.

How to rename LogToTerm???

#3 - 03 Sep 2015 16:00 - John Abbott

- Status changed from Resolved to Feedback

- % Done changed from 70 to 90

#4 - 17 Feb 2016 13:02 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
https://cocoa.dima.unige.it/redmine/issues/737


Closing after 6 months in feedback.
